Delete Contact from Workflow
Delete Contact from Workflow
DELETE
/
contacts
/
{contactId}
/
workflow
/
{workflowId}
Delete Contact from Workflow
curl --request DELETE \
--url https://services.leadconnectorhq.com/contacts/{contactId}/workflow/{workflowId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"eventStartTime": "2021-06-23T03:30:00+01:00"
}
'const options = {
method: 'DELETE',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({eventStartTime: '2021-06-23T03:30:00+01:00'})
};
fetch('https://services.leadconnectorhq.com/contacts/{contactId}/workflow/{workflowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/contacts/{contactId}/workflow/{workflowId}"
payload = { "eventStartTime": "2021-06-23T03:30:00+01:00" }
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text){
"succeded": true
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Path Parameters
Last modified on March 8, 2026
Was this page helpful?
Delete Contact from Workflow
curl --request DELETE \
--url https://services.leadconnectorhq.com/contacts/{contactId}/workflow/{workflowId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"eventStartTime": "2021-06-23T03:30:00+01:00"
}
'const options = {
method: 'DELETE',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({eventStartTime: '2021-06-23T03:30:00+01:00'})
};
fetch('https://services.leadconnectorhq.com/contacts/{contactId}/workflow/{workflowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/contacts/{contactId}/workflow/{workflowId}"
payload = { "eventStartTime": "2021-06-23T03:30:00+01:00" }
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text){
"succeded": true
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}